# Keith Wiley, kwiley@cs.unm.edu, http://www.unm.edu/~keithw

#############################
# 1 on 3 against Karen, a striker, and a commando
# Karen, striker, and commando have twice health of Konoko
#############################

func void train_movement(string ai_name)
{
	fade_out 0 0 0 0
	
	#Don't show the weapon/compass gauge, but do show the health gauge
	ui_show_element left 0
	ui_show_element right 1
	
	fade_in 120
	
	#Start background music
	sound_music_start mus_chase 0
	sound_music_volume mus_chase 0.75 3.0
	
	#Create Karen, striker, and commando
	ai2_spawn demo3
	ai2_spawn Top_Striker_1
	ai2_spawn Bay4_Comguy_1
	ai2_dopath demo3 demo3
	ai2_dopath Top_Striker_1 Top_Striker_1
	ai2_dopath Bay4_Comguy_1 Bay4_Comguy_1
	ai2_setjobstate demo3
	ai2_setjobstate Top_Striker_1
	ai2_setjobstate Bay4_Comguy_1
	chr_set_health demo3 400
	chr_set_health Top_Striker_1 400
	chr_set_health Bay4_Comguy_1 400
	chr_teleport demo3 7000
	chr_teleport Top_Striker_1 7000
	chr_teleport Bay4_Comguy_1 7000
	chr_changeteam demo3 Syndicate
	chr_changeteam Top_Striker_1 Syndicate
	chr_changeteam Bay4_Comguy_1 Syndicate
	
	#Set Konoko's health and teleport her
	chr_set_health char_0 200
	chr_teleport char_0 7000
		
	#Pause Karen, striker, commando and Konoko for a moment
	ai2_passive demo3 1
	ai2_passive Top_Striker_1 1
	ai2_passive Bay4_Comguy_1 1
	lock_keys
	sleep 200
	
	#Start Karen, striker, and commando
	ai2_passive demo3 0
	ai2_passive Top_Striker_1 0
	ai2_passive Bay4_Comguy_1 0
	
	#Start Konoko
	lock_keys keys_all
}