# Keith Wiley, kwiley@cs.unm.edu, http://www.unm.edu/~keithw

#############################
# 1 on 3 against a welder with an oozy and a clip, a striker with an oozy, a clip, and a hypo, and a striker with an oozy
# Welder and strikers have equal health to Konoko
#############################

func void train_movement(string ai_name)
{
	fade_out 0 0 0 0
	
	#Don't show the weapon/compass gauge, but do show the health gauge
	ui_show_element left 1
	ui_show_element right 1
	
	fade_in 120
	
	#Start background music
	sound_music_start mus_chase 0
	sound_music_volume mus_chase 0.75 3.0
	
	#Create Karen, striker, and commando
	ai2_spawn WH_Striker_B
	ai2_spawn WH_Striker_C
	ai2_spawn Alarm_Bay4_Striker_1
	ai2_dopath WH_Striker_B WH_Striker_B
	ai2_dopath WH_Striker_C WH_Striker_C
	ai2_dopath Alarm_Bay4_Striker_1 Alarm_Bay4_Striker_1
	ai2_setjobstate WH_Striker_B
	ai2_setjobstate WH_Striker_C
	ai2_setjobstate Alarm_Bay4_Striker_1
	chr_set_health WH_Striker_B 200
	chr_set_health WH_Striker_C 200
	chr_set_health Alarm_Bay4_Striker_1 200
	chr_teleport WH_Striker_B 7000
	chr_teleport WH_Striker_C 7000
	chr_teleport Alarm_Bay4_Striker_1 7000
	chr_changeteam WH_Striker_B Syndicate
	chr_changeteam WH_Striker_C Syndicate
	chr_changeteam Alarm_Bay4_Striker_1 Syndicate
	
	#Set Konoko's health and teleport her
	chr_set_health char_0 200
	chr_teleport char_0 7000
		
	#Pause welder, strikers and Konoko for a moment
	ai2_passive WH_Striker_B 1
	ai2_passive WH_Striker_C 1
	ai2_passive Alarm_Bay4_Striker_1 1
	lock_keys
	sleep 200
	
	#Start welder and strikers
	ai2_passive WH_Striker_B 0
	ai2_passive WH_Striker_C 0
	ai2_passive Alarm_Bay4_Striker_1 0
	
	#Start Konoko
	lock_keys keys_all
}