# Keith Wiley, kwiley@cs.unm.edu, http://www.unm.edu/~keithw

#############################
# 1 on 2 against a welder with an oozy and a clip and a striker with an oozy
# Welder and striker have twice health of Konoko
#############################

func void train_movement(string ai_name)
{
	fade_out 0 0 0 0
	
	#Show the weapon/compass gauge and the health gauge
	ui_show_element left 1
	ui_show_element right 1
	
	fade_in 120
	
	#Start background music
	sound_music_start mus_chase 0
	sound_music_volume mus_chase 0.75 3.0
	
	#Create Karen, striker, and commando
	ai2_spawn WH_Striker_B
	ai2_spawn WH_Striker_C
	ai2_dopath WH_Striker_B WH_Striker_B
	ai2_dopath WH_Striker_C WH_Striker_C
	ai2_setjobstate WH_Striker_B
	ai2_setjobstate WH_Striker_C
	chr_set_health WH_Striker_B 400
	chr_set_health WH_Striker_C 400
	chr_teleport WH_Striker_B 7000
	chr_teleport WH_Striker_C 7000
	chr_changeteam WH_Striker_B Syndicate
	chr_changeteam WH_Striker_C Syndicate
	
	#Set Konoko's health and teleport her
	chr_set_health char_0 200
	chr_teleport char_0 7000
		
	#Pause welder, striker and Konoko for a moment
	ai2_passive WH_Striker_B 1
	ai2_passive WH_Striker_C 1
	lock_keys
	sleep 200
	
	#Start welder and striker
	ai2_passive WH_Striker_B 0
	ai2_passive WH_Striker_C 0
	
	#Start Konoko
	lock_keys keys_all
}